using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace LHDN.CRM.Web.Areas.Admin.Controllers
{
    public class SettingController : Controller
    {
        // GET: Admin/Setting
        public ActionResult Biz(string id)
        {
            return View();
        }

        public ActionResult Sys(string id)
        {
            return View();
        }

        public ActionResult ConfigureJenisPelanggan(string id)
        {
            return View("BizParam/_JenisPelanggan");
        }

        public ActionResult ConfigureFileType(string id)
        {
            return View("BizParam/_FileType");
        }

        public ActionResult ConfigureBahasaPerhubungan(string id)
        {
            return View("BizParam/_BahasaPerhubungan");
        }

        public ActionResult ConfigureActivitiChannel(string id)
        {
            return View("BizParam/_ActivitiChannel");
        }

        public ActionResult ConfigureSumber(string id)
        {
            return View("BizParam/_Sumber");
        }

        public ActionResult ConfigureStatusBayaranS104S22(string id)
        {
            return View("BizParam/_StatusBayaranS104S22");
        }

        public ActionResult ConfigureJenisKempen(string id)
        {
            if(id=="0")
            {
                ViewBag.IsHRCC = false; 
            }
            else
            {
                ViewBag.IsHRCC = true;
            }
            return View("BizParam/_JenisKempen");
        }

        public ActionResult ConfigureKategori(string id)
        {
           
            return View("BizParam/_Kategori");
        }

        public ActionResult ConfigureKodSelesai(string id)
        {
            return View("BizParam/_KodSelesai");
        }

        public ActionResult ConfigureStatus(string id)
        {
            return View("BizParam/_StatusLevel");
        }
        public ActionResult ConfigureSenaraiPenerimaanDoc(string id)
        {
            return View("BizParam/_SenaraiPenerimaanDoc");
        }

        public ActionResult ConfigureCCTemplateName(string id)
        {
            if (id == "E")
            {
                ViewBag.IsEmailCCTemplate = true;
            }
            else
            {
                ViewBag.IsEmailCCTemplate = false;
            }

            return View("BizParam/_CCTemplateName");
        }

        public ActionResult ConfigureKategoriPenyelesaian(string id)
        {
            return View("BizParam/_KategoriPenyelesaian");
        }

        public ActionResult ConfigureCFFKategori(string id)
        {
            return View("BizParam/_CFFKategori");
        }
        public ActionResult ConfigureUnitType(string id)
        {
            return View("BizParam/_UnitType");
        }
        public ActionResult ConfigureCCCampaignName(string id)
        {
            if (id == "HCL")
            {
                ViewBag.IsHCLCampaign = true;
            }
            else
            {
                ViewBag.IsHCLCampaign = false;
            }
            return View("BizParam/_CCCampaignName");
        }

        public ActionResult ConfigureDMStatus(string id)
        {
            return View("BizParam/_DMStatus");
        }

        public ActionResult ConfigureReturnedReason(string id)
        {
            return View("BizParam/_ReturnedReason");
        }

        public ActionResult ConfigureTahap(string id)
        {
            return View("BizParam/_Tahap");
        }

        public ActionResult ConfigureParameters(string id)
        {
            return View("BizParam/_ParameterSetting");
        }

        public ActionResult ConfigureTindakanSusulan(string id)
        {
            return View("BizParam/_TindakanSusulan");
        }

        public ActionResult ConfigureCCFromEmail(string id)
        {
            return View("BizParam/_CCFromEmail");
        }

        public ActionResult ConfigureCCFromSMS(string id)
        {
            return View("BizParam/_CCFromSMS");
        }


    }
}